<?php

// output headers so that the file is downloaded rather than displayed
header('Content-Type: text/csv; charset=utf-8');
header('Content-Disposition: attachment; filename=popreport.csv');

// create a file pointer connected to the output stream
$output = fopen('php://output', 'w');


// output the column headings
fputcsv($output, array('Date', 'ClipName', 'Channel', 'RunTime'));

//POSTed values are: $event, $media,$fromdate, $todate
if (isset($_POST["event"]) AND isset($_POST["media"]))
	{
		$event = $_POST["event"];
		$media = $_POST["media"];
		
		$con=mysqli_connect("127.0.0.1","root","launchpad", "launchpad");
		if (mysqli_connect_errno($con))	
		{
			echo "Failed to connect to MySQL:  <br>" . mysqli_connect_error() . " <br>";
		}else
		{
			$fromdate = $_POST["fromdate"];
			$todate = $_POST["todate"];
					
			if ($media == "ALL")
				{
					$media = "%";
				}
						
			//Get Media..
			if (!empty($fromdate))
			{
				//Get Date Range info
						
				//EX: SELECT * FROM `launchpad`.`default_event` WHERE Date BETWEEN "1/26/2015" AND "1/28/2015"ORDER BY Date;
				$sql = "SELECT * FROM `launchpad`.`" . $event . "` WHERE ClipName LIKE '" . $media . "' AND str_to_date(Date, '%m/%d/%Y') BETWEEN '" . $fromdate . "' AND '" . $todate . "' ORDER BY Date";

			}else
			{
				$sql = "SELECT * FROM `launchpad`.`" . $event . "` WHERE ClipName LIKE '" . $media . "' ORDER BY Date";	
			}
				
								
			if($result = mysqli_query($con,$sql))
			{
				// Returned true
				$totaltime = 0;
				while($row = mysqli_fetch_array($result))
				{
					//array_push($aReportItems, $row[0]);
					/*
					echo($row["Date"] . "<br>");
					echo($row["ClipName"] . "<br>");
					echo($row["Channel"] . "<br>");
					echo($row["RunTime"] . "<br>");
					*/
					
					fputcsv($output, array($row["Date"],$row["ClipName"], $row["Channel"], $row["RunTime"]));

							
					$totaltime += $row["RunTime"];
				}
				//Write Total Run time
				fputcsv($output, array('Total', '', '', $totaltime));
					
				/* free result set */
				mysqli_free_result($result);			
			}
						
				mysqli_close($con);	
		}
	}



?>