<?php

	

	// Multi purpose helper functions

	// DO NOT 'include'. Reference functions via AJAX

	// Handle incoming postback command. Filter based on command type



	//echo ("fxVbl<br>");



	if (isset($_GET["command"]))

	{

		$cmd = $_GET["command"];

		

		switch ($cmd)

		{

			case "vbl":

				// setSingleVBL($vnum,$value,$desc)

				if (isset($_GET["vnum"]) AND isset($_GET["value"]) AND isset($_GET["desc"]))

				{

					$vnum = $_GET["vnum"];

					$value = $_GET["value"];

					$desc = $_GET["desc"];

					

					//echo("VBL Sent - Call fxSend<br>");



					setSingleVBL($vnum,$value,$desc);

				}

				break;

				

			case "clip":

				// TriggerClip($clipname,$surface)

				if (isset($_GET["fx"]) AND isset($_GET["canvas"]))

				{

					$fx = $_GET["fx"];

					$canvas = $_GET["canvas"];



					if($fx === "play")

					{

						$clipname = $_GET["clipname"];

						TriggerClip($clipname,$canvas);

						break;

					}elseif($fx === "stop")

					{

						$canvas = $_GET["canvas"];

						stopClip($canvas);

					}

					

				}else

				{

					echo("<h1>ERROR: Missing parameters</h1>");

				}

				break;

			case "audio":

				echo "i equals 2";

				break;

			case "bug":

				//

				if (isset($_GET["fx"]) AND isset($_GET["canvas"]))

				{

					$fx = $_GET["fx"];

					$canvas = $_GET["canvas"];



					if($fx === "play")

					{

						$clipname = $_GET["clipname"];

						TriggerBug($clipname,$canvas);

						break;

					}elseif($fx === "stop")

					{

						$canvas = $_GET["canvas"];

						stopBug($canvas);

					}

					

				}else

				{

					echo("<h1>ERROR: Missing parameters</h1>");

				}

				break;	

			case "getcanvases":

				// call function

				GetCanvases();

				break;

			case "getclips":

				// Call function

				GetClips();

				break;

			case "getbugs":

				// Call function

				GetBugs();

				break;				

		}

	}

	



	

	

	

	

function setSingleVBL($vnum,$value,$desc)

{

		//echo("Open TCP<br>");

		$client = stream_socket_client("tcp://127.0.0.1:1001", $errno, $errorMessage);

		//$rsp = stream_get_line($client, 50, "\n");

		//$rsp = "";

	

		if ($client === false) 

		{

			echo ("<h1>ERROR:Could Not Connect to LaunchPad. Please ensure it is running!</h1><br>");

			return false;

		}else

		{

			// Send VBL #20 LAB_1 Info
			$out = "";
			$out = "[P" . $vnum . "*" . $value . "*" . $desc . "*]";

			// Protocol...

			//SET_Variable = 0x40

			//Parameters(VariableNumber<TAB>Variable String Value<TAB>VariableDescription)*/

			//Parameters(VariableNumber<TAB>Variable String Value<TAB>VariableDescription)

	

			fputs($client, $out);

			$rsp = stream_get_line($client, 50, "\n");

			$pos = strpos($rsp, 'OK');

			if ($pos === false) 

				{

					echo "ERROR Reply: " . $rsp;

					return false;

				}else

				{

					echo "OK";

					return true;

				}	 

		}

	}

	





	

	

	

	

	

	

function SetVBLArray($cmds)

{

	$count = count($cmds);

	

	if ($count > 0)

	{

		$client = stream_socket_client("tcp://127.0.0.1:1001", $errno, $errorMessage);

		//$rsp = stream_get_line($client, 50, "\n");

		//$rsp = "";

		//echo "> " . stream_get_line($client, 50, "\n");  // WORKS!!!!!

		

		if ($client === false) 

		{

			echo ("<h1>Could Not Connect to LaunchPad. Please ensure it is running!</h1><br>");

			return;

		}else

		{



			for ($i = 0; $i < $count; $i++)

			{

				//echo "Good: " . $cmds[$i] . "<br>";

				$params = explode(",", $cmds[$i]);

				$cnt = count($params);

				

				//echo "Count " . $cnt . "<br>";

				//print_r($params) . "<br>";

				

				if ($cnt = 3)

				{

					

					$vnum = $params[0]; // vnum

					//echo "Vnum [" . $vnum . "]<br>";

					

					$value = $params[1]; // value

					//echo "VVal [" . $value . "]<br>";

					

					$desc = $params[2]; //desc

					//echo "VDesc [" . $desc . "]<br>";

					

					$out = "";

				

					$out = "[P" . $vnum . "*" . $value . "*" . $desc . "*]";
					//$out = "[9" . $vnum . "*" . $value . "*" . $desc . "*]";

					

					

					// Protocol...

					//SET_Variable = 0x39

					//Parameters(VariableNumber<DLM>Variable String Value<DLM>VariableDescription)

		

					fputs($client, $out);

					$rsp = stream_get_line($client, 50, "\n");

					$pos = strpos($rsp, 'OK');

					if ($pos === false) 

					{

						echo "ERROR Reply: " . $rsp;

						break;

					}

				

					

				}else

				{

					echo "Wrong number of parameters passed<br>";

				}

				

			

		

			}

		}

		





		fclose($client);

		//stream_socket_shutdown($client, STREAM_SHUT_WR);

		//echo ("Client Disconnected.<br>");

	}

	



}



function stopClip($surface)

{

		/*

		STOP_Video = 0x36 "6"

		Parameters(OutputSurfaceIndex<DLM>Layer)

		OutputSurfaceIndex = int

		Layer = "BG"(Background) or "FG"(Foreground)

		*/

		

		$client = stream_socket_client("tcp://127.0.0.1:1001", $errno, $errorMessage);

		//$rsp = stream_get_line($client, 50, "\n");

		//$rsp = "";



		

		if ($client === false) 

		{

			echo ("<h1>ERROR: Could Not Connect to LaunchPad. Please ensure it is running!</h1><br>");

			return;

		}else

		{

			$out = ""; //Command string for use later





			$out = "[6" . $surface . "*FG*]";

			fputs($client, $out);

			$rsp = stream_get_line($client, 50, "\n");

			$pos = strpos($rsp, 'OK');

			if ($pos === false) 

			{

				echo "ERROR Reply: " . $rsp;

			}else

			{

				echo("OK");

			}

		

		

			fclose($client);		

		}







}











function TriggerClip($clipname,$surface)

{



		$client = stream_socket_client("tcp://127.0.0.1:1001", $errno, $errorMessage);

		//$rsp = stream_get_line($client, 50, "\n");

		//$rsp = "";

		//echo "> " . stream_get_line($client, 50, "\n");  // WORKS!!!!!

		

		if ($client === false) 

		{

			echo ("<h1>ERROR: Could Not Connect to LaunchPad. Please ensure it is running!</h1><br>");

			return;

		}else

		{

			$out = ""; //Command string for use later



			//Get file name trimmed

			$clipname = rtrim($clipname);



			if ($clipname !== "")

			{

				$out = "[0" . $clipname . "*" . $surface . "*FG*Crossfade*F*T*]";

				fputs($client, $out);

				$rsp = stream_get_line($client, 50, "\n");

				$pos = strpos($rsp, 'OK');

				if ($pos === false) 

				{

					echo "ERROR Reply: " . $rsp;

				}else

				{

					echo("OK");

				}

			}else

			{

				echo("ERROR: Missing Clip Name");

				return;

			}

			fclose($client);		

		}

}









function TriggerBug($bugname,$surface)

{



		$client = stream_socket_client("tcp://127.0.0.1:1001", $errno, $errorMessage);

		//$rsp = stream_get_line($client, 50, "\n");

		//$rsp = "";

		//echo "> " . stream_get_line($client, 50, "\n");  // WORKS!!!!!

		

		if ($client === false) 

		{

			echo ("<h1>ERROR: Could Not Connect to LaunchPad. Please ensure it is running!</h1><br>");

			return;

		}else

		{

			$out = ""; //Command string for use later



			//Get file name trimmed

			$bugname = rtrim($bugname);



			if ($bugname !== "")

			{

				$out = "[1" . $bugname . "*" . $surface . "*FG*Crossfade*F*T*]";

				fputs($client, $out);

				$rsp = stream_get_line($client, 50, "\n");

				$pos = strpos($rsp, 'OK');

				if ($pos === false) 

				{

					echo "ERROR Reply: " . $rsp;

				}else

				{

					echo("OK");

				}

			}else

			{

				echo("ERROR: Missing Template Name");

				return;

			}

			fclose($client);		

		}

}

	



function stopBug($surface)

{

		/*

		STOP_Video = 0x36 "6"

		Parameters(OutputSurfaceIndex<DLM>Layer)

		OutputSurfaceIndex = int

		Layer = "BG"(Background) or "FG"(Foreground)

		*/

		

		$client = stream_socket_client("tcp://127.0.0.1:1001", $errno, $errorMessage);

		//$rsp = stream_get_line($client, 50, "\n");

		//$rsp = "";



		

		if ($client === false) 

		{

			echo ("<h1>ERROR: Could Not Connect to LaunchPad. Please ensure it is running!</h1><br>");

			return;

		}else

		{

			$out = ""; //Command string for use later





			$out = "[7" . $surface . "*]";

			fputs($client, $out);

			$rsp = stream_get_line($client, 50, "\n");

			$pos = strpos($rsp, 'OK');

			if ($pos === false) 

			{

				echo "ERROR Reply: " . $rsp;

			}else

			{

				echo("OK");

			}

		

		

			fclose($client);		

		}







}



	

function GetCanvases()

{

		$aCanvasNames = array();

		$client = stream_socket_client("tcp://127.0.0.1:1001", $errno, $errorMessage);

		//$rsp = stream_get_line($client, 50, "\n");

		//$rsp = "";

		

		if ($client === false) 

		{

			echo ("<h1>ERROR: Could Not Connect to LaunchPad. Please ensure it is running!</h1>");

			return;

		}else

		{

			$out = "[A]";

			fputs($client, $out);

			sleep(3);

			

			$rsp = stream_get_line($client, 64, "\n");  //returns all canvases with * as delim "Main*Top*..."

			echo($rsp); //Return raw string

			

			fclose($client);

			return;

		}

}





		

function GetClips()

{

		$aClipNames = array();

		$client = stream_socket_client("tcp://127.0.0.1:1001", $errno, $errorMessage);

		//$rsp = stream_get_line($client, 50, "\n");

		//$rsp = "";

		

		if ($client === false) 

		{

			echo ("<h1>ERROR: Could Not Connect to LaunchPad. Please ensure it is running!</h1><br>");

			return;

		}else

		{

			$out = "[B]";

			fputs($client, $out);

			sleep(3);

			

			$rsp = stream_get_line($client, 1024, "\n");

			echo($rsp); //Return raw string

			

			fclose($client);

		}

}



		

function GetBugs()

{

		$aClipNames = array();

		$client = stream_socket_client("tcp://127.0.0.1:1001", $errno, $errorMessage);

		//$rsp = stream_get_line($client, 50, "\n");

		//$rsp = "";

		

		if ($client === false) 

		{

			echo ("<h1>ERROR: Could Not Connect to LaunchPad. Please ensure it is running!</h1><br>");

			return;

		}else

		{

			$out = "[C]";

			fputs($client, $out);

			sleep(3);

			

			$rsp = stream_get_line($client, 1024, "\n");

			echo($rsp); //Return raw string

			

			fclose($client);

		}

}





?>