<?php
	
	$getevent = "";
	if (isset($_POST["event"]))
	{
		// If GET 'event', then populate MediaList
		$getevent = $_POST["event"];


		$con=mysqli_connect("127.0.0.1","root","launchpad", "launchpad");
		if (mysqli_connect_errno($con))	
		{
			echo "Failed to connect to MySQL:  <br>" . mysqli_connect_error() . " <br>";
		}else
		{
			//echo "Connection is good. <br>";

			//Get Media..

			if($result = mysqli_query($con,"SELECT DISTINCT ClipName FROM `" . $getevent . "` ORDER BY ClipName"))
			{
				// Returned true
				$aMediaItems = array();
				while($row = mysqli_fetch_array($result))
				{
					array_push($aMediaItems, $row[0]);
				}
		
				/* free result set */
				mysqli_free_result($result);			
			}
			
			mysqli_close($con);	
		}
		
	}else
	{
		// If NO GET 'event' populate eventList
		
		$aEventTables = array();

		$con=mysqli_connect("127.0.0.1","root","launchpad", "launchpad");
		//echo("4");
		if (mysqli_connect_errno($con))	
		{
			echo "Failed to connect to MySQL:  <br>" . mysqli_connect_error() . " <br>";
		}else
		{
			//echo "Connection is good... <br>";

			//Get Tables..
			if($result = mysqli_query($con,"SHOW TABLES"))
			{
				// Returned true
				$aRoster = array();
				while($row = mysqli_fetch_array($result))
				{
					array_push($aEventTables, $row[0]);
				}
		
				/* free result set */
				mysqli_free_result($result);			
			}
			mysqli_close($con);		
		}	
	}
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="en">


<head>
	<title>MotionRocket&#0153;. Proof of Play Report</title>
	<meta name="description" content="MotionRocket - Virtual Scoreboard Software for LED Displays" />
	<meta name="keywords" content="LED Scoreboard Software, LED Jumbotron Software, LED Fascia Controller, Digital Scoreboard, Launchpad Software, Motion Rocket, motionrocket" />	
	<link rel="shortcut icon" href="image/mr_32.ico" />
	<link rel="stylesheet" href="index.css" type="text/css" media="screen" />
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta http-equiv="content-language" content="en-gb" />
	<link rel="stylesheet" href="jquery/jquery-ui.css">
	<script src="jquery/jquery.js"></script>
	<script src="jquery/jquery-ui.js"></script>
	<script>
	$( function() {
		$( "#fromdate" ).datepicker({dateFormat: "yy-mm-dd"});
	} );
	
	$( function() {
		$( "#todate" ).datepicker({dateFormat: "yy-mm-dd"});
	} );
  </script>
</head>

<body>


	<div id="header">
		<div id="header_inside">
			<h1><img src="image/logo.png" alt="MotionRocket"></h1>
			<ul>
				<li><a href="index.html">Home</a></li>
				<li><a href="http://www.motionrocket.com" target="_blank">WebSite</a></li>
				<li><a href="pop.php"> Play Reporting</a></li>
				<li><a href="media.php">Media</a></li>
				<li><a href="variables.php">Variables</a></li>
			</ul>		
		</div>
	</div>

	<div id="content">
		<div id="content_inside">
			<div id="content_inside_sidebar">
				<!--h2>Products and Services<h2 -->
			</div>
			
			<div id="content_inside_main">
				<h1>Proof of Play Database reporting</h1>
				Generate reports of media playback. 
				<br>
				
				<!-- listbox of event names. Only shown if event has NOT already been selected -->
				<?php
					if (!isset($_POST["event"]))
					{
						// event is NOT set. Show event names
						echo("<form action='pop.php' method='post'>");
						echo("<select name='event' id='event'>");
					
						foreach ($aEventTables as $s) 
						{
							echo("<option value='" . $s . "'>" . $s . "</option>");
						}
					
						echo("</select>");

					
						echo("<br><br><input type='submit' value='Send'><br>");
						echo("</form>");
					}else
					{
						// event IS set. Show media files
						echo("<form action='pop_report.php' method='post'>");
						echo("<input type='text' name='event' id='event' value='" . $getevent . "' /><br><br>");
						echo("<select name='media' id='media'>");
						echo("<option value='ALL'>ALL</option>");
					
						foreach ($aMediaItems as $s) 
						{
							echo("<option value='" . $s . "'>" . $s . "</option>");
						}
					
						echo("</select>");
						
						//Calendar Field
						echo ("<br><br>");
						echo ("From Date: <input type='text' id='fromdate' name='fromdate'>");
						echo ("To Date: <input type='text' id='todate' name='todate'> </p>");
						
						
						echo("<br><br><input type='submit' value='Send'><br>");
						echo("</form>");					
					}
				?>
				
				<br>
				
				<a href="pop.php">RESET</a>

			</div>	
		</div>	
	</div>

	<div id="footer">
			<div id="footer_inside">
			<p>MotionRocket&#0153; Copyright 2018</p>
		</div>
	</div>
</body>

</html>