

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<title>MotionRocket&#0153;. Proof of Play Report</title>
	<meta name="description" content="MotionRocket - Virtual Scoreboard Software for LED Displays" />
	<meta name="keywords" content="LED Scoreboard Software, LED Jumbotron Software, LED Fascia Controller, Digital Scoreboard, Launchpad Software, Motion Rocket, motionrocket" />	
	<link rel="shortcut icon" href="image/mr_32.ico" />
	<link rel="stylesheet" href="index.css" type="text/css" media="screen" />
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta http-equiv="content-language" content="en-gb" />
	<link rel="stylesheet" href="jquery/jquery-ui.css">
	<script src="jquery/jquery.js"></script>
	<script src="jquery/jquery-ui.js"></script>
	<script>
	$( function() {
		$( "#fromdate" ).datepicker({dateFormat: "yy-mm-dd"});
	} );
	
	$( function() {
		$( "#todate" ).datepicker({dateFormat: "yy-mm-dd"});
	} );
  </script>
</head>

<body>


	<div id="header">
		<div id="header_inside">
			<ul>
				<li><a href="index.html">Home</a></li>
			</ul>		
		</div>
	</div>

	<div id="content">
		<div id="content_inside">
			<div id="content_inside_sidebar">
				<!-- h2>Products and Services<h2 -->
			</div>
			
			<div id="content_inside_main">

				<?php
				
				$aReportItems = array();
	
				if (isset($_POST["event"]) AND isset($_POST["media"]))
				{
				//echo("ALL GOOD GREENY");
				$event = $_POST["event"];
				$media = $_POST["media"];
				
				
			
				// HTML Version 
				echo("<h1>Report for Event: " . $event . "<br>Media Item: " . $media . "</h1>");
				
				//Allow Search Refinements
				echo("<form action='pop_report.php' method='post'>");
				echo("<input type='hidden' name='event' id='event' value='" . $event  . "' />");
				echo("<input type='hidden' name='media' id='media' value='" . $media  . "' />");
						
				//Calendar Field
				echo ("Refine Results<br>");
				echo ("From Date: <input type='text' id='fromdate' name='fromdate'>");
				echo ("To Date: <input type='text' id='todate' name='todate'> </p>");
						
						
				echo("<input type='submit' value='Send'>");
				echo("</form>");
				
				echo("<br><br>");
				
				echo ("<h1>Results</h1>");

				

				echo("<table width='100%'>");
				echo("<tr>");
				echo("<td>Date</td>");
				echo("<td>ClipName</td>");
				echo("<td>Channel</td>");
				echo("<td>RunTime</td>");
				echo("</tr>");
							
						
				$con=mysqli_connect("127.0.0.1","root","launchpad", "launchpad");
				if (mysqli_connect_errno($con))	
				{
					echo "Failed to connect to MySQL:  <br>" . mysqli_connect_error() . " <br>";
				}else
				{
					$fromdate = $_POST["fromdate"];
					$todate = $_POST["todate"];
					
					echo ("Media Posted = " . $media );
					if ($media == "ALL")
					{
						$media = "%";
					}
						
					//Get Media..
					if (!empty($fromdate))
					{
						//Get Date Range info
						echo ("Dates Selected " . $fromdate . " And ". $todate . " for " . $media);
						
						//EX: SELECT * FROM `launchpad`.`default_event` WHERE Date BETWEEN "1/26/2015" AND "1/28/2015"ORDER BY Date;
						$sql = "SELECT * FROM `launchpad`.`" . $event . "` WHERE ClipName LIKE '" . $media . "' AND str_to_date(Date, '%m/%d/%Y') BETWEEN '" . $fromdate . "' AND '" . $todate . "' ORDER BY Date";
						//echo ("<br>" . $sql . "<br>");
					}else{
						//echo("No dates selected <br>");
						$sql = "SELECT * FROM `launchpad`.`" . $event . "` WHERE ClipName LIKE '" . $media . "' ORDER BY Date";	
					}
				
								
					if($result = mysqli_query($con,$sql))
					{
						// Returned true
						$totaltime = 0;
						while($row = mysqli_fetch_array($result))
						{
							//array_push($aReportItems, $row[0]);
							echo("<tr>");
							
							echo("<td>");
							echo($row["Date"] . "<br>");
							echo("</td>");
							
							echo("<td>");
							echo($row["ClipName"] . "<br>");
							echo("</td>");
							
							
							echo("<td>");
							echo($row["Channel"] . "<br>");
							echo("</td>");
							
							echo("<td>");
							echo($row["RunTime"] . "<br>");
							
							echo("</td>");
							echo("</tr>");
							
							$totaltime += $row["RunTime"];
						}
						
						echo("<tr>");
						echo("<td>Total</td>");
						echo("<td></td>");
						echo("<td></td>");						
						echo("<td>" . $totaltime . "</td>");
						echo("</tr>");
					
						/* free result set */
						mysqli_free_result($result);			
					}
						
						mysqli_close($con);	
				}
			}
				
				echo("</table>");
				
				//Export to CSV
				echo("<form action='csv.php' method='post'>");
				echo("<input type='hidden' name='event' id='event' value='" . $event  . "' />");
				echo("<input type='hidden' name='media' id='media' value='" . $media  . "' />");
				echo("<input type='hidden' name='fromdate' id='fromdate' value='" . $fromdate  . "' />");
				echo("<input type='hidden' name='todate' id='todate' value='" . $todate  . "' />");
				echo("<input type='submit' value='Export to CSV'>");
				echo("</form>");

				
				
				?>
				
		
	

				
				
				<br>
				
				

			</div>	
		</div>	
	</div>

	<div id="footer">
			<div id="footer_inside">
			
		</div>
	</div>
</body>

</html>