<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<title>MotionRocket&#0153;. Web Variable Update</title>
	<meta name="description" content="MotionRocket - Virtual Scoreboard Software for LED Displays" />
	<meta name="keywords" content="LED Scoreboard Software, LED Jumbotron Software, LED Fascia Controller, Digital Scoreboard, Launchpad Software, Motion Rocket, motionrocket" />	
	<link rel="shortcut icon" href="image/mr_32.ico" />
	<link rel="stylesheet" href="index.css" type="text/css" media="screen" />
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta http-equiv="content-language" content="en-gb" />

	<script>

	function sendCMD(vnum)
	{
		var xmlhttp=new XMLHttpRequest();
		xmlhttp.onreadystatechange=function()
		{
			if (xmlhttp.readyState==4 && xmlhttp.status==200)
			{
				switch(vnum)
				{
					case 0:
						document.getElementById("xmitResult0").innerHTML=xmlhttp.responseText;
						break;
					case 1:
						document.getElementById("xmitResult1").innerHTML=xmlhttp.responseText;
						break;
					case 2:
						document.getElementById("xmitResult2").innerHTML=xmlhttp.responseText;
						break;
					case 3:
						document.getElementById("xmitResult3").innerHTML=xmlhttp.responseText;						
						break;
				}
				
			}
		}
	
		// Extract variable values name
		switch(vnum)
		{
			case 0:
				var vText = document.getElementById('txt0').value;
				xmlhttp.open("GET","fxvbl.php?command=vbl&desc=WebVariable_0&vnum=0&value="+vText,true);
				xmlhttp.send();	
				break;
			case 1:
				var vText = document.getElementById('txt1').value;
				xmlhttp.open("GET","fxvbl.php?command=vbl&desc=WebVariable_1&vnum=1&value="+vText,true);
				xmlhttp.send();	
				break;
			case 2:
				var vText = document.getElementById('txt2').value;
				xmlhttp.open("GET","fxvbl.php?command=vbl&desc=WebVariable_2&vnum=2&value="+vText,true);
				xmlhttp.send();	
				break;
			case 3:
				var vText = document.getElementById('txt3').value;
				xmlhttp.open("GET","fxvbl.php?command=vbl&desc=WebVariable_3&vnum=3&value="+vText,true);
				xmlhttp.send();					
				break;
		}

	


	}
	
	</script>	
	
</head>


<body>


	<div id="header">
		<div id="header_inside">
			<h1><img src="image/logo.png" alt="MotionRocket"></h1>
			<ul>
				<li><a href="index.html">Home</a></li>
				<li><a href="http://www.motionrocket.com" target="_blank">WebSite</a></li>
				<li><a href="pop.php"> Play Reporting</a></li>
				<li><a href="media.php">Media</a></li>
				<li><a href="variables.php">Variables</a></li>
			</ul>		
		</div>
	</div>

	<div id="content">
		<div id="content_inside">
			<div id="content_inside_sidebar">
				<!--h2>Products and Services<h2 -->
			</div>
			
			<div id="content_inside_main">
				<h1>Web Variables</h1>
				Use these variables as a dynamic data source when manual entry is required. 
				<br>
				
				<!-- Variable #0 -->
				<p><h1>Variable 0</h1></p>
				<input type="text" name="txt0" id="txt0" value="" size="80" />Text to Send<br>
				<br>
				<button name="vbl0" class="bigbutton" onclick="sendCMD(0)">Send</button><br>
				<p>Results: <span id="xmitResult0"></span></p>
				<br>
				
				<!-- Variable #1 -->
				<p><h1>Variable 1</h1></p>
				<input type="text" name="txt1" id="txt1" value="" size="80" />Text to Send<br>
				<br>
				<button name="vbl1" class="bigbutton" onclick="sendCMD(1)">Send</button><br>
				<p>Results: <span id="xmitResult1"></span></p>
				<br>

				
				<!-- Variable #2 -->
				<p><h1>Variable 2</h1></p>
				<input type="text" name="txt2" id="txt2" value="" size="80" />Text to Send<br>
				<br>
				<button name="vbl2" class="bigbutton" onclick="sendCMD(2)">Send</button><br>
				<p>Results: <span id="xmitResult2"></span></p>
				<br>

				<!-- Variable #3 -->
				<p><h1>Variable 3</h1></p>
				<input type="text" name="txt3" id="txt3" value="" size="80" />Text to Send<br>
				<br>
				<button name="vbl3"  class="bigbutton" onclick="sendCMD(3)">Send</button><br>
				<p>Results: <span id="xmitResult3"></span></p>
				<br>				

			</div>	
		</div>	
	</div>

	<div id="footer">
			<div id="footer_inside">
			<p>MotionRocket&#0153; Copyright 2018</p>
		</div>
	</div>
</body>

</html>