
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
	<title>MotionRocket&#0153;. Proof of Play Report</title>
	<meta name="description" content="MotionRocket - Virtual Scoreboard Software for LED Displays" />
	<meta name="keywords" content="LED Scoreboard Software, LED Jumbotron Software, LED Fascia Controller, Digital Scoreboard, Launchpad Software, Motion Rocket, motionrocket" />	
	<link rel="shortcut icon" href="image/mr_32.ico" />
	<link rel="stylesheet" href="index.css" type="text/css" media="screen" />
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta http-equiv="content-language" content="en-gb" />
	
	<script>
	
function playClip()
{
	document.getElementById("PlayResult").innerHTML = "working...";
	var xmlhttp=new XMLHttpRequest();
	xmlhttp.onreadystatechange=function()
	{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			var rsp = xmlhttp.responseText; //grab response text from php
			if (rsp.indexOf("ERROR") > -1)
			{
				// Response contains Error
				document.getElementById("PlayResult").innerHTML = "Error:"+rsp; //show user
			}else
			{
				//No Error
				if(rsp !== "")
				{
					// response is not null.
					document.getElementById("PlayResult").innerHTML = rsp; //show user
				}else
				{
					document.getElementById("PlayResult").innerHTML = "ERROR: No Response."; //show user
				}
			}		
		//document.getElementById("PlayResult").innerHTML="DONE";
		}
	}
	
	// Extract Clip name
	var iC = document.getElementById("selclips").selectedIndex;
	var oC = document.getElementById("selclips").options;
	var clip = oC[iC].text;

	// Extract Canvas name
	var iCn = document.getElementById("selcanvas").selectedIndex;
	var oCn = document.getElementById("selcanvas").options;
	var canvas = oCn[iCn].text;	

	document.getElementById("PlayResult").innerHTML="Sending "+clip+" ,"+canvas;
	
	xmlhttp.open("GET","fxvbl.php?command=clip&fx=play&canvas="+canvas+"&clipname="+clip,true);
	xmlhttp.send();
}

function playBug()
{
	document.getElementById("PlayBugResult").innerHTML = "working...";
	var xmlhttp=new XMLHttpRequest();
	xmlhttp.onreadystatechange=function()
	{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			var rsp = xmlhttp.responseText; //grab response text from php
			if (rsp.indexOf("ERROR") > -1)
			{
				// Response contains Error
				document.getElementById("PlayBugResult").innerHTML = "Error:"+rsp; //show user
			}else
			{
				//No Error
				if(rsp !== "")
				{
					// response is not null.
					document.getElementById("PlayBugResult").innerHTML = rsp; //show user
				}else
				{
					document.getElementById("PlayBugResult").innerHTML = "ERROR: No Response."; //show user
				}
			}		
		}
	}
	
	// Extract Clip name
	var iC = document.getElementById("selbugs").selectedIndex;
	var oC = document.getElementById("selbugs").options;
	var clip = oC[iC].text;

	// Extract Canvas name
	var iCn = document.getElementById("selcanvas").selectedIndex;
	var oCn = document.getElementById("selcanvas").options;
	var canvas = oCn[iCn].text;	

	document.getElementById("PlayBugResult").innerHTML="Sending "+clip+" ,"+canvas;
	xmlhttp.open("GET","fxvbl.php?command=bug&fx=play&canvas="+canvas+"&clipname="+clip,true);
	xmlhttp.send();
}

	
function stopClip()
{
	document.getElementById("PlayResult").innerHTML = "working...";
	var xmlhttp=new XMLHttpRequest();
	xmlhttp.onreadystatechange=function()
	{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			var rsp = xmlhttp.responseText; //grab response text from php
			if (rsp.indexOf("ERROR") > -1)
			{
				// Response contains Error
				document.getElementById("PlayResult").innerHTML = "Error:"+rsp; //show user
			}else
			{
				//No Error
				if(rsp !== "")
				{
					// response is not null.
					document.getElementById("PlayResult").innerHTML = rsp; //show user
				}else
				{
					document.getElementById("PlayResult").innerHTML = "ERROR: No Response."; //show user
				}
			}		
		//document.getElementById("PlayResult").innerHTML="DONE";
		}
	}
	
	// Extract Canvas name
	var iCn = document.getElementById("selcanvas").selectedIndex;
	var oCn = document.getElementById("selcanvas").options;
	var canvas = oCn[iCn].text;	

	document.getElementById("PlayResult").innerHTML="Sending Stop to "+canvas;
	
	xmlhttp.open("GET","fxvbl.php?command=clip&fx=stop&canvas="+canvas,true);
	xmlhttp.send();
}
	
	
function stopBug()
{
	document.getElementById("PlayBugResult").innerHTML = "working...";
	var xmlhttp=new XMLHttpRequest();
	xmlhttp.onreadystatechange=function()
	{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			var rsp = xmlhttp.responseText; //grab response text from php
			if (rsp.indexOf("ERROR") > -1)
			{
				// Response contains Error
				document.getElementById("PlayBugResult").innerHTML = "Error:"+rsp; //show user
			}else
			{
				//No Error
				if(rsp !== "")
				{
					// response is not null.
					document.getElementById("PlayBugResult").innerHTML = rsp; //show user
				}else
				{
					document.getElementById("PlayBugResult").innerHTML = "ERROR: No Response."; //show user
				}
			}		

		}
	}
	
	// Extract Canvas name
	var iCn = document.getElementById("selcanvas").selectedIndex;
	var oCn = document.getElementById("selcanvas").options;
	var canvas = oCn[iCn].text;	

	document.getElementById("PlayBugResult").innerHTML="Sending Stop to "+canvas;
	
	xmlhttp.open("GET","fxvbl.php?command=bug&fx=stop&canvas="+canvas,true);
	xmlhttp.send();
}


	
function getCanvases()
{
	document.getElementById("CanvasResult").innerHTML = "working...";
	var xmlhttp=new XMLHttpRequest();
	xmlhttp.onreadystatechange=function()
	{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			var rsp = xmlhttp.responseText; //grab response text from php getCanvases
			
			if(rsp.indexOf("ERROR") > -1)
			{
				// Response contains Error
				document.getElementById("CanvasResult").innerHTML = "Error:"+rsp; //show user
			}else
			{
				//No Error
				if(rsp !== "")
				{
					// response is not null.
					var selCanvas = document.getElementById("selcanvas");
	
					
					// Separate by *
					var sNames = rsp.split("*");
					var index;
					for (index = 0; index < sNames.length; ++index)
					{
						var option = document.createElement("option");
						option.text = sNames[index];
						selCanvas.add(option);
					}
					document.getElementById("CanvasResult").innerHTML = "DONE"; //show user
				}else
				{
					document.getElementById("CanvasResult").innerHTML = "ERROR: No Response."; //show user
				}
			}

		}
	}	
	
	xmlhttp.open("GET","fxvbl.php?command=getcanvases",true);
	xmlhttp.send();
}
	
function getClips()
{
	document.getElementById("ClipsResult").innerHTML = "working...";
	var xmlhttp=new XMLHttpRequest();
	xmlhttp.onreadystatechange=function()
	{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			var rsp = xmlhttp.responseText; //grab response text from php getClips
			
			if(rsp.indexOf("ERROR") > -1)
			{
				// Response contains Error
				document.getElementById("ClipsResult").innerHTML = "Error:"+rsp; //show user
			}else
			{
				//No Error
				if(rsp !== "")
				{
					// response is not null.
					var selClips = document.getElementById("selclips");
	
					
					// Separate by *
					var sNames = rsp.split("*");
					var index;
					for (index = 0; index < sNames.length; ++index)
					{
						var option = document.createElement("option");
						option.text = sNames[index];
						selClips.add(option);
					}
					document.getElementById("ClipsResult").innerHTML = "DONE"; //show user
				}else
				{
					document.getElementById("ClipsResult").innerHTML = "ERROR: No Response."; //show user
				}
			}

		}
	}	
	
	xmlhttp.open("GET","fxvbl.php?command=getclips",true);
	xmlhttp.send();
}


function getBugs()
{
	document.getElementById("BugsResult").innerHTML = "working...";
	var xmlhttp=new XMLHttpRequest();
	xmlhttp.onreadystatechange=function()
	{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
		{
			var rsp = xmlhttp.responseText; //grab response text from php getClips
			
			if(rsp.indexOf("ERROR") > -1)
			{
				// Response contains Error
				document.getElementById("BugsResult").innerHTML = "Error:"+rsp; //show user
			}else
			{
				//No Error
				if(rsp !== "")
				{
					// response is not null.
					var selClips = document.getElementById("selbugs");
	
					
					// Separate by *
					var sNames = rsp.split("*");
					var index;
					for (index = 0; index < sNames.length; ++index)
					{
						var option = document.createElement("option");
						option.text = sNames[index];
						selClips.add(option);
					}
					document.getElementById("BugsResult").innerHTML = "DONE"; //show user
				}else
				{
					document.getElementById("BugsResult").innerHTML = "ERROR: No Response."; //show user
				}
			}

		}
	}	
	
	xmlhttp.open("GET","fxvbl.php?command=getbugs",true);
	xmlhttp.send();
}



	
	</script>

</head>

<body>


	<div id="header">
		<div id="header_inside">
			<h1><img src="image/logo.png" alt="MotionRocket"></h1>
			<ul>
				<li><a href="index.html">Home</a></li>
				<li><a href="http://www.motionrocket.com" target="_blank">WebSite</a></li>
				<li><a href="pop.php"> Play Reporting</a></li>
				<li><a href="media.php">Media</a></li>
				<li><a href="variables.php">Variables</a></li>
			</ul>		
		</div>
	</div>

	<div id="content">
		<div id="content_inside">
			<div id="content_inside_sidebar">
				<!--h2>Products and Services<h2 -->
			</div>
			
			<div id="content_inside_main">
			
				<h1>Remote Clip Control</h1>
				Play Content from the web. 
				<br>
				
				
				
				<p>
					<h1>Available Outputs:</h1><br>
					<select class="bigbutton" name="selcanvas" id="selcanvas">
					</select>
					<br>
					<button name="btnCanvas" class="bigbutton" onclick="getCanvases()">Get Canvases</button>
					<br>
					Results: 
					<span id="CanvasResult">...</span>
				</p>

				
				
				
				<!-- Clip Controls -->
				<p>
					<h1>Available Clips:</h1><br>
					<table>
						<tr>
							<td>
								<select class="bigbutton" name="selclips" id="selclips">
								</select>
								<br>
								<button name="btnClips" class="bigbutton" onclick="getClips()">Get Clips</button>
								<br>
								Results: 
								<span id="ClipsResult">...</span>
							</td>
							<td width=50px" />
							<td>
								<h1>Clip Control:</h1>
								<br>
								<button name="btnPlayClip" class="bigbutton" onclick="playClip()"><h3>Play Clip</h3></button>	&nbsp;&nbsp;
								<button name="btnStopClip" class="bigbutton" onclick="stopClip()"><h3>Stop Clip</h3></button>


								<br>Results: 
								<br><span id="PlayResult">...</span>
							</td>							
						</tr>
					<table>	
				</p>

				
				<!-- Template Controls -->
				<p>
					<h1>Available Templates:</h1><br>
					<table>
						<tr>
							<td>
								<select class="bigbutton" name="selbugs" id="selbugs">
								</select>
								<br>
								<button name="btnBugs" class="bigbutton" onclick="getBugs()">Get Templates</button>
								<br>
								Results: 
								<span id="BugsResult">...</span>
							</td>
							<td width=50px" />
							<td>
								<h1>Template Control:</h1>
								<br>
								<button name="btnPlayBug" class="bigbutton" onclick="playBug()"><h3>Play Template</h3></button>	&nbsp;&nbsp;
								<button name="btnStopBug" class="bigbutton" onclick="stopBug()"><h3>Stop Template</h3></button>


								<br>Results: 
								<br><span id="PlayBugResult">...</span>
							</td>							
						</tr>
					<table>	
				</p>
				
				
				
				
			</div>	
		</div>	
	</div>

	<div id="footer">
			<div id="footer_inside">
			<p>MotionRocket&#0153; Copyright 2018</p>
		</div>
	</div>
</body>

</html>